com.aliyun.svideosdk.common.struct.common

## Class AliyunVideoParam.Builder

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.common.AliyunVideoParam.Builder

- Enclosing class:
    AliyunVideoParam

      public static class AliyunVideoParam.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AliyunVideoParam.Builder` | `audioChannel(AliyunVideoParam.AudioChannel channel)` 设置音频通道数
    `AliyunVideoParam.Builder` | `audioSampleRate(AliyunVideoParam.AudioSampleRate sampleRate)` 设置采样率
    `AliyunVideoParam.Builder` | `bitrate(int bitrate)` 设置输出码率 单位：kbps
    `AliyunVideoParam` | `build()`
    `AliyunVideoParam.Builder` | `crf(int crf)` 设置ffmpeg crf值
    `AliyunVideoParam.Builder` | `frameRate(int frameRate)` 设置输出帧率
    `AliyunVideoParam.Builder` | `gop(int gop)` 设置输出GOP大小
    `AliyunVideoParam.Builder` | `outputHeight(int outputHeight)` 设置输出的高
    `AliyunVideoParam.Builder` | `outputWidth(int outputWidth)` 设置输出的宽
    `AliyunVideoParam.Builder` | `scaleMode(VideoDisplayMode scaleMode)` 设置视频画面裁剪模式
    `AliyunVideoParam.Builder` | `scaleRate(float rate)` 合成视频的缩放比例，目前仅支持AliyunICompose
    `AliyunVideoParam.Builder` | `videoCodec(VideoCodecs videoCodecs)` 设置编码器
    `AliyunVideoParam.Builder` | `videoQuality(VideoQuality videoQuality)` 设置质量等级

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### frameRate

          public AliyunVideoParam.Builder frameRate(int frameRate)

      设置输出帧率
      Parameters:
        `frameRate` -

    - #### gop

          public AliyunVideoParam.Builder gop(int gop)

      设置输出GOP大小
      Parameters:
        `gop` - 单位：帧数

    - #### bitrate

          public AliyunVideoParam.Builder bitrate(int bitrate)

      设置输出码率 单位：kbps
      Parameters:
        `bitrate` -

    - #### crf

          public AliyunVideoParam.Builder crf(int crf)

      设置ffmpeg crf值
      Parameters:
        `crf` - 视频质量因子，ffmpeg编码方式下有效，该值越小，视频清晰度越高，同时生成的文件大小越大。默认 23

    - #### outputWidth

          public AliyunVideoParam.Builder outputWidth(int outputWidth)

      设置输出的宽
      Parameters:
        `outputWidth` -

    - #### outputHeight

          public AliyunVideoParam.Builder outputHeight(int outputHeight)

      设置输出的高
      Parameters:
        `outputHeight` -

    - #### videoQuality

          public AliyunVideoParam.Builder videoQuality(VideoQuality videoQuality)

      设置质量等级
      Parameters:
        `videoQuality` -
      See Also:
        `VideoQuality`

    - #### scaleMode

          public AliyunVideoParam.Builder scaleMode(VideoDisplayMode scaleMode)

      设置视频画面裁剪模式
      Parameters:
        `scaleMode` -
      See Also:
        `VideoDisplayMode`

    - #### videoCodec

          public AliyunVideoParam.Builder videoCodec(VideoCodecs videoCodecs)

      设置编码器
      Parameters:
        `videoCodecs` -
      See Also:
        `VideoCodecs`

    - #### scaleRate

          public AliyunVideoParam.Builder scaleRate(float rate)

      合成视频的缩放比例，目前仅支持AliyunICompose
      Parameters:
        `rate` -
      Returns:

    - #### audioChannel

          public AliyunVideoParam.Builder audioChannel(AliyunVideoParam.AudioChannel channel)

      设置音频通道数

      v3.34.0 新增

      Parameters:
        `channel` - 音频通道数

    - #### audioSampleRate

          public AliyunVideoParam.Builder audioSampleRate(AliyunVideoParam.AudioSampleRate sampleRate)

      设置采样率

      v3.34.0 新增

      Parameters:
        `sampleRate` - 音频采样率

    - #### build

          public AliyunVideoParam build()